UNIT definitions;

INTERFACE

TYPE pop_size_type     = 1..200;
     chromo_type       = ARRAY [1..12] OF char;
     pop_type          = ARRAY [1..200] OF chromo_type;
     best_chro_st_type = ARRAY [0..200] OF chromo_type;
     best_chro_5_type  = ARRAY [1..5] OF chromo_type;
     eval_store        = ARRAY [1..3] of longint;
     best_ev_store_type= ARRAY [0..200] of eval_store;
     best_ev_5_type    = ARRAY [1..5] of eval_store;
     pop_ev_table_type = ARRAY [1..200] OF eval_store;
     setup_type        = RECORD
                           set_mode     : char;
                           config       : char;
                           pop_size     : pop_size_type;
                           gen          : integer;
                           cross_percent: integer;
                           mut_percent  : integer;
                           del          : char;
                           elite        : integer;
                           fitness      : char;
                           guard        : integer;
                           dec          : integer;
                           best_fitness : integer;
                           results      : char;
                           print_mode   : char;
                         END;

     pop_rec_type      = RECORD
                           pop        : pop_type;
                           pop_fitness: pop_ev_table_type;
                         END;

     best_store_type   = RECORD
                           chromos    : best_chro_st_type;
                           evals      : best_ev_store_type;
                         END;

     best_five_type    = RECORD
                           chromos    : best_chro_5_type;
                           evals      : best_ev_5_type;
                         END;

CONST chromo_length = 12;
      top           = 1;
      middle        = 2;
      bottom        = 3;
      londonx       = 40;
      londony       = 264;
      amsterdamx    = 69;
      amsterdamy    = 260;
      berlinx       = 110;
      berliny       = 267;
      copenhagenx   = 107;
      copenhageny   = 238;
      moscowx       = 232;
      moscowy       = 229;
      oslox         = 107;
      osloy         = 200;
      parisx        = 46;
      parisy        = 290;
      romex         = 98;
      romey         = 360;
      venicex       = 101;
      venicey       = 331;
      warsawx       = 152;
      warsawy       = 273;
      zurichx       = 78;
      zurichy       = 312;

IMPLEMENTATION

END.